Subject: Re: [sipcore] Draft new version: draft-sip-push-01 - PR based on Paul's comments

From: Christer Holmberg <[email-masked]>
Date: Sun, 29 Oct 2017 19:35:13 +0000

Hi,

I created a PR based on Paul's comments:

https://github.com/cdh4u/draft-sip-push/pull/2

Regards,

Christer

-----Original Message-----
From: sipcore [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: 29 October 2017 19:08
To: Paul Kyzivat <[email-masked]>
Cc: [email-masked]
Subject: Re: [sipcore] Draft new version: draft-sip-push-01

(I noted my previous reply to this was sent to Paul only)
 
Hi,

...

>>> No. In (3) there is no prid or enckey or enccode in the syntax. 
>>> Instead, if those are needed for this push service then they are embedded within pn-value.
>> 
>> Aaah... ok, now I get it.
>> 
>> The reason I have kept pn-prid separate is because the value could be 
>> a URL, which means it could include the same character as is used as 
>> separator. If such character occurs within the URI it would have to be escaped, and I would like to avoid that.
>
> If (3) were being used then I expect that the provider that needs a URI could find a way to make that work in the value syntax.

The client will get the PRID from the provider, and the idea is that it will copy/paste it into the SIP pn-prid parameter without modifications (escaping etc).

> But choosing an approach is at least partly an aesthetic decision. As long as whatever way you choose is well defined I won't object (much).

I will keep the syntax as it is for now, but I will add/modify text based on your other comments. I will try to do it before the Singapore submission window closes.

Regards,

Christer

_______________________________________________
sipcore mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/sipcore